<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">

  <br/>
  <hr style="margin-bottom:0.5em;"/>

  <b>From:</b>&#160;<xsl:value-of select="doc/reference/from/person/statedNameAndEmailAddress"/><br/>
  <b>Sent:</b>&#160;<xsl:value-of select="doc/reference/sentTime/datetime/datetime_imap"/><br/>

  <b>To:</b>&#160;<xsl:call-template name="peopleList">
  <xsl:with-param name="list" select="doc/reference/to/person"/>
  </xsl:call-template><br/>

  <xsl:if test="number(doc/reference/cc/personCount) &gt; 0 ">
    <b>Cc:</b>&#160;<xsl:call-template name="peopleList">
    <xsl:with-param name="list" select="doc/reference/cc/person"/>
    </xsl:call-template><br/>
  </xsl:if>
  
  <b>Subject:</b>&#160;<xsl:value-of select="doc/reference/subject"/><br/>

  <BR/><BR/>

</xsl:template>


<!-- ====================================== -->
<!--Template that joins multiple people as email addresses and names-->
<xsl:template name="peopleList">
  <xsl:param name="list" />
  
  <xsl:for-each select="$list">
    <xsl:value-of select="statedNameAndEmailAddress" />
    <xsl:if test="position() != last()">, </xsl:if>
  </xsl:for-each>
</xsl:template>
<!-- ====================================== -->



</xsl:stylesheet>

