<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:date="http://exslt.org/dates-and-times" 
                extension-element-prefixes="date"
>

<xsl:output method="text"/>

<xsl:template match="/">

<xsl:variable name="localDateTime" select="date:add(concat(doc/reference/sentTime/datetime/date_yyyy-mm-dd,'T',substring(doc/reference/sentTime/datetime/time_hh_mm_ss,0,9)),'PT5H')"/>

<xsl:if test="doc/identity/greeting != ''"><xsl:value-of select="doc/identity/greeting"/><xsl:text>
</xsl:text>
</xsl:if>

<xsl:value-of select="doc/composition/focus"/>
<xsl:text>
        
</xsl:text>
    
<xsl:if test="doc/identity/valediction != ''"><xsl:value-of select="doc/identity/valediction"/>
</xsl:if>

<xsl:if test="doc/identity/signature != ''"><xsl:value-of select="doc/identity/signature"/>
</xsl:if>

<xsl:text>
On </xsl:text><xsl:value-of select="date:month-abbreviation($localDateTime)"/><xsl:text> </xsl:text><xsl:value-of select="date:day-in-month($localDateTime)"/><xsl:text>, </xsl:text><xsl:value-of select="date:year($localDateTime)"/><xsl:text> at </xsl:text><xsl:value-of select="substring(date:time($localDateTime),0,9)"/><xsl:text> CDT, </xsl:text><xsl:value-of select="doc/reference/from/person/statedNameAndEmailAddress"/><xsl:text> wrote:
    
</xsl:text><xsl:value-of select="doc/composition/quotedText"/><xsl:text>
</xsl:text>

</xsl:template>

</xsl:stylesheet>

