<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">

Hi  <xsl:call-template name="smarterRecipients"/>, <BR/>
<BR/>
</xsl:template>

      
<xsl:template name="smarterRecipients">

  <xsl:variable name="personCount" select="number(doc/composition/to/personCount)"/>
  <xsl:choose>
    <xsl:when test="$personCount &gt; 3">all</xsl:when>
    <xsl:otherwise>
      <xsl:for-each select="doc/composition/to/person">
        <xsl:choose>
          <xsl:when test="position() != 1 and position() != last() and $personCount &gt; 2">, </xsl:when>
          <xsl:when test="position() = last() and $personCount &gt; 2" >, &amp; </xsl:when>
          <xsl:when test="position() = last() and $personCount &gt; 1" > &amp; </xsl:when>
          <xsl:when test="position() = 1"></xsl:when>
          <xsl:otherwise></xsl:otherwise>
        </xsl:choose>
        
        <xsl:call-template name="bestName">
          <xsl:with-param name="person">
            <xsl:value-of select="." />
          </xsl:with-param>
        </xsl:call-template>
        
      </xsl:for-each>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="bestName">
  <xsl:param name="person" />
  <xsl:choose>
    <xsl:when test="(contains( emailAddress, '@danfoss.com'))">
      <xsl:value-of select="statedLastName"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="firstName"/></xsl:otherwise>
  </xsl:choose>
</xsl:template>
      

</xsl:stylesheet>
