<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text"/>

<xsl:template match="/">
    
<xsl:value-of select="doc/composition/focus"/><xsl:text>

</xsl:text>

<xsl:if test="doc/identity/signature != ''"><xsl:value-of select="doc/identity/signature"/>
</xsl:if>

<xsl:for-each select="doc/reference">
    <xsl:if test="position() != 1">
      <xsl:text>
----
</xsl:text>
    </xsl:if>
  <xsl:call-template name="forwardedMessage">
    <xsl:with-param name="reference" select="."/>
    <xsl:with-param name="identity" select="../identity"/>
 </xsl:call-template>
</xsl:for-each>

</xsl:template>


<!--Template that includes the forwarded text of one email -->
<xsl:template name="forwardedMessage">
  <xsl:param name="reference" />
  <xsl:param name="identity" />


<xsl:value-of select="$identity/fwdHeader"/>

<xsl:text>From: </xsl:text><xsl:value-of select="$reference/from/person/statedNameAndEmailAddress"/><xsl:text>
</xsl:text>

<xsl:text>Date: </xsl:text><xsl:value-of select="$reference/sentTime/datetime/datetime_imap"/><xsl:text>
</xsl:text>

<xsl:text>To: </xsl:text>
    <xsl:call-template name="peopleList">
        <xsl:with-param name="list" select="$reference/to/person"/>
    </xsl:call-template><xsl:text>
</xsl:text>

<xsl:if test="number($reference/cc/personCount) &gt; 0 ">
  <xsl:text>Cc: </xsl:text>
      <xsl:call-template name="peopleList">
        <xsl:with-param name="list" select="$reference/cc/person"/>
        </xsl:call-template><xsl:text>
</xsl:text>
</xsl:if>



<xsl:comment><xsl:for-each select="$reference/to/person">
  <xsl:value-of select="statedNameAndEmailAddress"/>
</xsl:for-each><xsl:text>
</xsl:text></xsl:comment>

<xsl:text>Subject: </xsl:text><xsl:value-of select="$reference/subject"/><xsl:text>


</xsl:text><xsl:value-of select="$reference/body"/><xsl:text>

</xsl:text>

</xsl:template>

<!--Template that joins multiple people as email addresses and names-->
<xsl:template name="peopleList">
  <xsl:param name="list" />
  
  <xsl:for-each select="$list">
    <xsl:value-of select="statedNameAndEmailAddress" />
    <xsl:if test="position() != last()">
      <xsl:text>, </xsl:text>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>


