<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">

<div>
  <xsl:attribute name="style">
      <xsl:value-of select="doc/stylePreferences/font"/>
      <xsl:value-of select="doc/stylePreferences/background-color"/>
      <xsl:value-of select="doc/stylePreferences/color"/>
  </xsl:attribute>
  <xsl:attribute name="data-ghHeaderWithCloseTag">div</xsl:attribute>

  <xsl:value-of select="doc/identity/greeting"/>
  
  <xsl:value-of select="doc/composition/focus"/>
  <div><br/></div>
  
  <xsl:value-of select="doc/identity/valediction"/>
  
  <xsl:value-of select="doc/identity/signature"/>
  
  <xsl:value-of select="doc/identity/replyHeader"/>
  
  <xsl:value-of select="doc/composition/citedHtml"/>
  <div><br/></div>

  <xsl:call-template name="autoFilledAttachments"/>
  
</div>


</xsl:template>


<!-- ====================================== -->
<!--Template that includes the autoFilled attachments -->
<xsl:template name="autoFilledAttachments">
    <xsl:call-template name="attachmentList">
        <xsl:with-param name="list" select="doc/composition/autoFilledAttachments/attachment"/>
    </xsl:call-template>
</xsl:template>
<!-- ====================================== -->


<!-- ====================================== -->
<!-- The images for the given attachment list -->
<xsl:template name="attachmentList">
    <xsl:param name="list" />

    <xsl:for-each select="$list">
        <img>
            <xsl:attribute name="src">
                <xsl:value-of select="attachmentImgUrl"/>
            </xsl:attribute>
            <xsl:attribute name="style">max-width:96% ; width: auto; height: auto; margin-bottom:1em; </xsl:attribute>
        </img><BR/>
    </xsl:for-each>
</xsl:template>
<!-- ====================================== -->




</xsl:stylesheet>

