<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>
<xsl:template match="/">

  <xsl:text>
    
========

From: </xsl:text><xsl:value-of select="doc/reference/from/person/statedNameAndEmailAddress"/><xsl:text>
</xsl:text>

<xsl:text>Date: </xsl:text><xsl:value-of select="doc/reference/sentTime/datetime/datetime_imap"/><xsl:text>
</xsl:text>

<xsl:text>To: </xsl:text>
    <xsl:call-template name="peopleList">
        <xsl:with-param name="list" select="doc/reference/to/person"/>
    </xsl:call-template><xsl:text>
</xsl:text>

<xsl:if test="number(doc/reference/cc/personCount) &gt; 0 ">
  <xsl:text>Cc: </xsl:text>
      <xsl:call-template name="peopleList">
        <xsl:with-param name="list" select="doc/reference/cc/person"/>
        </xsl:call-template><xsl:text>
</xsl:text>
</xsl:if>

<xsl:comment><xsl:for-each select="doc/reference/to/person">
  <xsl:value-of select="statedNameAndEmailAddress"/>
</xsl:for-each><xsl:text>
</xsl:text></xsl:comment>

<xsl:text>Subject: </xsl:text><xsl:value-of select="doc/reference/subject"/><xsl:text>


</xsl:text>

</xsl:template>


<!--Template that joins multiple people as email addresses and names-->
<xsl:template name="peopleList">
  <xsl:param name="list" />
  
  <xsl:for-each select="$list">
    <xsl:value-of select="statedNameAndEmailAddress" />
    <xsl:if test="position() != last()">
      <xsl:text>, </xsl:text>
    </xsl:if>
  </xsl:for-each>
</xsl:template>



</xsl:stylesheet>
